Bug 188078 - can't save levels from level-editor
can't save levels from level-editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: njam (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 16:33 EDT by julian
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 15:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description julian 2006-04-05 16:33:06 EDT
Description of problem:
levels built with the level-editor aren't saved

How reproducible:
always

Steps to Reproduce:
1. open njam
2. open the level edit
3. make a level and mark it as playable
4. save it with "save" or "save as"
  
Actual results:
the level isn't written to disk

Expected results:
the level is stored to disk
Comment 1 Hans de Goede 2006-04-08 02:54:04 EDT
I'll take a look into this when time permits.
Comment 2 Wart 2006-04-22 16:01:54 EDT
njam changes to the game directory /usr/share/njam on startup, and tries to save
levels to levels/<name> when saving new levels.  The user doesn't have write
permission to this directory, so the save fails, but no error is reported back
to the user.
Comment 3 Hans de Goede 2006-05-09 15:38:51 EDT
I've written a patch that fixes this 1.25-3 should show up on a mirror near you
soon, here is the ChangeLog entry:
* Tue May  9 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.25-3
- Add Patch2, which fixes the leveleditor to save custom made levels under
  $HOME/.njam-levels instead of trying to write them under /usr/share.
  Also teach njam to look for levels under both $HOME/.njam-levels and
  /usr/share (bug 188078).


Note You need to log in before you can comment on or make changes to this bug.